Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServerC.cpp File Reference

`#include "PortableServerC.h"`
`#include "POA.h"`
`#include "tao/ORB.h"`
`#include "tao/ORB_Core.h"`
`#include "PortableServerC.i"`

Include dependency graph for PortableServerC.cpp:

## Defines
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_PORTABLESERVER_POALIST_CS_
#define | _PORTABLESERVER_POALIST_CS_
#define | _PORTABLESERVER_OBJECTID_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_PortableServer_ObjectId ( CORBA::tk_alias, sizeof (_oc_PortableServer_ObjectId), (char *) &_oc_PortableServer_ObjectId, 0, sizeof (PortableServer::ObjectId) )
CORBA::TypeCode | _tc_TAO_tc_PortableServer_ForwardRequest ( CORBA::tk_except, sizeof (_oc_PortableServer_ForwardRequest), (char *) &_oc_PortableServer_ForwardRequest, 0, sizeof (PortableServer::ForwardRequest) )
CORBA::TypeCode | _tc_TAO_tc_PortableServer_ThreadPolicyValue ( CORBA::tk_enum, sizeof (_oc_PortableServer_ThreadPolicyValue), (char *) &_oc_PortableServer_ThreadPolicyValue, 0, sizeof (PortableServer::ThreadPolicyValue) )
CORBA::TypeCode | _tc_TAO_tc_PortableServer_LifespanPolicyValue ( CORBA::tk_enum, sizeof (_oc_PortableServer_LifespanPolicyValue), (char *) &_oc_PortableServer_LifespanPolicyValue, 0, sizeof (PortableServer::LifespanPolicyValue) )
CORBA::TypeCode | _tc_TAO_tc_PortableServer_IdUniquenessPolicyValue ( CORBA::tk_enum, sizeof (_oc_PortableServer_IdUniquenessPolicyValue), (char *) &_oc_PortableServer_IdUniquenessPolicyValue, 0, sizeof (PortableServer::IdUniquenessPolicyValue) )
CORBA::TypeCode | _tc_TAO_tc_PortableServer_IdAssignmentPolicyValue ( CORBA::tk_enum, sizeof (_oc_PortableServer_IdAssignmentPolicyValue), (char *) &_oc_PortableServer_IdAssignmentPolicyValue, 0, sizeof (PortableServer::IdAssignmentPolicyValue) )
CORBA::TypeCode | _tc_TAO_tc_PortableServer_ImplicitActivationPolicyValue ( CORBA::tk_enum, sizeof (_oc_PortableServer_ImplicitActivationPolicyValue), (char *) &_oc_PortableServer_ImplicitActivationPolicyValue, 0, sizeof (PortableServer::ImplicitActivationPolicyValue) )
CORBA::TypeCode | _tc_TAO_tc_PortableServer_ServantRetentionPolicyValue ( CORBA::tk_enum, sizeof (_oc_PortableServer_ServantRetentionPolicyValue), (char *) &_oc_PortableServer_ServantRetentionPolicyValue, 0, sizeof (PortableServer::ServantRetentionPolicyValue) )
CORBA::TypeCode | _tc_TAO_tc_PortableServer_RequestProcessingPolicyValue ( CORBA::tk_enum, sizeof (_oc_PortableServer_RequestProcessingPolicyValue), (char *) &_oc_PortableServer_RequestProcessingPolicyValue, 0, sizeof (PortableServer::RequestProcessingPolicyValue) )
void | operator<<= ( CORBA::Any &_tao_any, const PortableServer::ObjectId &_tao_elem )
void | operator<<= (CORBA::Any &_tao_any, PortableServer::ObjectId *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::ObjectId *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const PortableServer::ObjectId *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const PortableServer::ForwardRequest &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableServer::ForwardRequest *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::ForwardRequest *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const PortableServer::ForwardRequest *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableServer::ThreadPolicyValue _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::ThreadPolicyValue &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableServer::LifespanPolicyValue _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::LifespanPolicyValue &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableServer::IdUniquenessPolicyValue _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::IdUniquenessPolicyValue &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableServer::IdAssignmentPolicyValue _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::IdAssignmentPolicyValue &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableServer::ImplicitActivationPolicyValue _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::ImplicitActivationPolicyValue &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableServer::ServantRetentionPolicyValue _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::ServantRetentionPolicyValue &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableServer::RequestProcessingPolicyValue _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::RequestProcessingPolicyValue &_tao_elem)
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const PortableServer::ObjectId &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, PortableServer::ObjectId &_tao_sequence )
## Variables
const CORBA::Long | _oc_PortableServer_ObjectId []
const CORBA::Long | _oc_PortableServer_ForwardRequest []
const CORBA::Long | _oc_PortableServer_LifespanPolicyValue []
const CORBA::Long | _oc_PortableServer_IdUniquenessPolicyValue []
const CORBA::Long | _oc_PortableServer_IdAssignmentPolicyValue []
const CORBA::Long | _oc_PortableServer_ImplicitActivationPolicyValue []
const CORBA::Long | _oc_PortableServer_ServantRetentionPolicyValue []
const CORBA::Long | _oc_PortableServer_RequestProcessingPolicyValue []

## Define Documentation

#define _PORTABLESERVER_OBJECTID_CS_

#define _PORTABLESERVER_POALIST_CS_

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_PORTABLESERVER_POALIST_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_PortableServer_ForwardRequest ( | CORBA::tk_except,
| sizeof(_oc_PortableServer_ForwardRequest),
| (char *)& _oc_PortableServer_ForwardRequest,
| 0,
| sizeof(PortableServer::ForwardRequest) )`[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_IdAssignmentPolicyValue ( | CORBA::tk_enum,
| sizeof(_oc_PortableServer_IdAssignmentPolicyValue),
| (char *)& _oc_PortableServer_IdAssignmentPolicyValue,
| 0,
| sizeof(PortableServer::IdAssignmentPolicyValue) )`[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_IdUniquenessPolicyValue ( | CORBA::tk_enum,
| sizeof(_oc_PortableServer_IdUniquenessPolicyValue),
| (char *)& _oc_PortableServer_IdUniquenessPolicyValue,
| 0,
| sizeof(PortableServer::IdUniquenessPolicyValue) )`[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_ImplicitActivationPolicyValue ( | CORBA::tk_enum,
| sizeof(_oc_PortableServer_ImplicitActivationPolicyValue),
| (char *)& _oc_PortableServer_ImplicitActivationPolicyValue,
| 0,
| sizeof(PortableServer::ImplicitActivationPolicyValue) )`[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_LifespanPolicyValue ( | CORBA::tk_enum,
| sizeof(_oc_PortableServer_LifespanPolicyValue),
| (char *)& _oc_PortableServer_LifespanPolicyValue,
| 0,
| sizeof(PortableServer::LifespanPolicyValue) )`[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_ObjectId ( | CORBA::tk_alias,
| sizeof(_oc_PortableServer_ObjectId),
| (char *)& _oc_PortableServer_ObjectId,
| 0,
| sizeof(PortableServer::ObjectId) )`[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_RequestProcessingPolicyValue ( | CORBA::tk_enum,
| sizeof(_oc_PortableServer_RequestProcessingPolicyValue),
| (char *)& _oc_PortableServer_RequestProcessingPolicyValue,
| 0,
| sizeof(PortableServer::RequestProcessingPolicyValue) )`[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_ServantRetentionPolicyValue ( | CORBA::tk_enum,
| sizeof(_oc_PortableServer_ServantRetentionPolicyValue),
| (char *)& _oc_PortableServer_ServantRetentionPolicyValue,
| 0,
| sizeof(PortableServer::ServantRetentionPolicyValue) )`[static]`

CORBA::TypeCode _tc_TAO_tc_PortableServer_ThreadPolicyValue ( | CORBA::tk_enum,
| sizeof(_oc_PortableServer_ThreadPolicyValue),
| (char *)& _oc_PortableServer_ThreadPolicyValue,
| 0,
| sizeof(PortableServer::ThreadPolicyValue) )`[static]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const PortableServer::ObjectId & _tao_sequence )

void operator<<= ( | CORBA::Any & _tao_any,
| PortableServer::RequestProcessingPolicyValue _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| PortableServer::ServantRetentionPolicyValue _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| PortableServer::ImplicitActivationPolicyValue _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| PortableServer::IdAssignmentPolicyValue _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| PortableServer::IdUniquenessPolicyValue _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| PortableServer::LifespanPolicyValue _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| PortableServer::ThreadPolicyValue _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| PortableServer::ForwardRequest * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const PortableServer::ForwardRequest & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| PortableServer::ObjectId * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const PortableServer::ObjectId & _tao_elem )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| PortableServer::ObjectId & _tao_sequence )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| PortableServer::RequestProcessingPolicyValue & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| PortableServer::ServantRetentionPolicyValue & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| PortableServer::ImplicitActivationPolicyValue & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| PortableServer::IdAssignmentPolicyValue & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| PortableServer::IdUniquenessPolicyValue & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| PortableServer::LifespanPolicyValue & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| PortableServer::ThreadPolicyValue & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const PortableServer::ForwardRequest *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| PortableServer::ForwardRequest *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const PortableServer::ObjectId *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| PortableServer::ObjectId *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_PortableServer_ForwardRequest[]`[static]`

const CORBA::Long _oc_PortableServer_IdAssignmentPolicyValue[]`[static]`

const CORBA::Long _oc_PortableServer_IdUniquenessPolicyValue[]`[static]`

const CORBA::Long _oc_PortableServer_ImplicitActivationPolicyValue[]`[static]`

const CORBA::Long _oc_PortableServer_LifespanPolicyValue[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      43,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x506f7274),
      ACE_NTOHL (0x61626c65),
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x65722f4c),
      ACE_NTOHL (0x69666573),
      ACE_NTOHL (0x70616e50),
      ACE_NTOHL (0x6f6c6963),
      ACE_NTOHL (0x7956616c),
      ACE_NTOHL (0x75653a31),
      ACE_NTOHL (0x2e300000),
      20,
      ACE_NTOHL (0x4c696665),
      ACE_NTOHL (0x7370616e),
      ACE_NTOHL (0x506f6c69),
      ACE_NTOHL (0x63795661),
      ACE_NTOHL (0x6c756500),
      2,
      10,
      ACE_NTOHL (0x5452414e),
      ACE_NTOHL (0x5349454e),
      ACE_NTOHL (0x54000000),
      11,
      ACE_NTOHL (0x50455253),
      ACE_NTOHL (0x49535445),
      ACE_NTOHL (0x4e540000),
    }

const CORBA::Long _oc_PortableServer_ObjectId[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      32,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x506f7274),
      ACE_NTOHL (0x61626c65),
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x65722f4f),
      ACE_NTOHL (0x626a6563),
      ACE_NTOHL (0x7449643a),
      ACE_NTOHL (0x312e3000),
      9,
      ACE_NTOHL (0x4f626a65),
      ACE_NTOHL (0x63744964),
      ACE_NTOHL (0x0),
      CORBA::tk_sequence,
      12,
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_octet,

        0U,

    }

const CORBA::Long _oc_PortableServer_RequestProcessingPolicyValue[]`[static]`

const CORBA::Long _oc_PortableServer_ServantRetentionPolicyValue[]`[static]`